package com.fjhx.service.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.base.Condition;
import com.fjhx.entity.contract.ContractEnclosure;
import com.fjhx.params.contract.ContractEnclosureVo;
import com.fjhx.base.StorageBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 合同附件 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-10-21
 */
public interface ContractEnclosureService extends StorageBaseService<ContractEnclosure> {

    List<ContractEnclosure> getPage(ContractEnclosure contractEnclosure);

    void add(ContractEnclosureVo contractEnclosureVo);

    void edit(ContractEnclosureVo contractEnclosureVo);

    void delete(ContractEnclosureVo contractEnclosureVo);

}
